#!/usr/bin/env python
# encoding: utf-8
"""
parse_simple-catalogue_JSON.py

Created by Theresa Velden on 2012-09-27.
Copyright (c) 2012 Cornell University. All rights reserved.
"""

import sys
import os

import json


#### JSON FILE ##################

datafile="../output/simple-catalogue.json" # hw5: change name of input file to read in the json file you created


#### FUNCTIONS #########################

def readJsondata(jsonfile):	
	f = open(jsonfile, 'r')
	data = json.load(f)
	return data

def extractBirthdaychildren(actorBios,movies):
	"""hw5: extend this function to extract the names|birthdates|movies 
	of actors born in September.
	"""
	birthdayChildren=[]
		
	return birthdayChildren
	
def extractActorBios(movies):
	"""hw5: extend this function to extract information for each actor
	"""
	ActorBios={}
	
	return ActorBios
	
def extractMovieInfo(data):
	"""hw5: extend this function to extract further information about movies
	"""
	movies={}
	
	for item in data["catalogue"]["movies"]:
		movieID=item[0]["ID"]
		movieData=[]
		movies[movieID]=movieData
		movieTitle=item[1]["title"]
		movies[movieID].append(movieTitle)
	return movies
	
	
if __name__ == '__main__':

	data=readJsondata(datafile)

	movies=extractMovieInfo(data)
	ActorBios=extractActorBios(movies)
	birthdayChildren=extractBirthdaychildren(ActorBios,movies)
	
	for item in birthdayChildren:
		print item  

